summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/slight2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/slight b/scripts/slight
index 848df07..314cb2d 100755
--- a/scripts/slight
+++ b/scripts/slight
@@ -54,7 +54,7 @@ while getopts "i:d:s:ph" option; do
"${0}: Failed to set brightness"
;;
p)
- if ! brightnessctl 2>/dev/null; then
+ if ! echo $(( `brightnessctl g` / `brightnessctl m` * 100 )); then
err "Failed to get current brightness"
else
exit 0